summaryrefslogtreecommitdiffstats
path: root/sysprep
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-07-19 11:16:35 +0100
committerRichard W.M. Jones <rjones@redhat.com>2012-08-05 21:29:55 +0100
commitd4e964bc3666dae2091cd68b5df428896bafe69a (patch)
treeca9d57f100738873ee6565f2d5a24043e2f58ec5 /sysprep
parentd37e8dd2a7ef5732f9d30dee04ab26c5adbf483d (diff)
downloadlibguestfs-d4e964bc3666dae2091cd68b5df428896bafe69a.tar.gz
libguestfs-d4e964bc3666dae2091cd68b5df428896bafe69a.tar.xz
libguestfs-d4e964bc3666dae2091cd68b5df428896bafe69a.zip
build: Return 77 from skipped tests.
(cherry picked from commit fc86db3b3bcd884ee37cef79e22b0324df9fcae6)
Diffstat (limited to 'sysprep')
-rwxr-xr-xsysprep/test-virt-sysprep-script.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sysprep/test-virt-sysprep-script.sh b/sysprep/test-virt-sysprep-script.sh
index 09c42aff..98ecb966 100755
--- a/sysprep/test-virt-sysprep-script.sh
+++ b/sysprep/test-virt-sysprep-script.sh
@@ -22,12 +22,12 @@ set -e
if [ -n "$SKIP_TEST_VIRT_SYSPREP_SCRIPT_SH" ]; then
echo "$0: test skipped because environment variable is set."
- exit 0
+ exit 77
fi
if [ ! -w /dev/fuse ]; then
echo "$0: SKIPPING test, because there is no /dev/fuse."
- exit 0
+ exit 77
fi
# Check that multiple scripts can run.